KCATALOGPRINT(8)

NAME
kcatalogprint - Knot DNS catalog print utility

SYNOPSIS

kcatalogprint [config_option] [options]

DESCRIPTION

The program prints zone catalog stored in a catalog database.

  Config options

    -c, --config file
        Use a textual configuration file (default is /usr/local/etc/knot/knot.conf).

    -C, --confdb directory
        Use a binary configuration database directory (default is /usr/local/var/lib/knot/confdb). The default configuration database, if exists, has a preference to the default configuration file.

    -D, --dir path
        Use specified catalog database path and default configuration.

  Options

    -a, --catalog
        Filter the output by catalog zone name.

    -m, --member
        Filter the output by member zone name.

    -h, --help
        Print the program help.

    -V, --version
        Print the program version. The option -VV makes the program print the compile time configuration summary.

EXIT VALUES

Exit status of 0 means successful operation. Any other exit status indicates an error.

SEE ALSO

knotd(8), knot.conf(5).

AUTHOR
CZ.NIC, z.s.p.o. and contributors <https://www.knot-dns.cz/>

COPYRIGHT
Copyright (C) CZ.NIC, z.s.p.o. and contributors